# React-Intl-Tel-Input-Itk
Forked patw0929's [React-Intl-Tel-Input](https://www.npmjs.com/package/react-intl-tel-input-itk) but made it testable with Jest - 100% of the credit goes to mcataford for [This PR](https://github.com/patw0929/react-intl-tel-input/pull/350) in patw0929's repo.

Rewrite [International Telephone Input](https://github.com/jackocnr/intl-tel-input) in React.js.

## Collaborators Wanted!

Due to the long commuting time, I do not have much time to maintain this project often. 😣

So if anybody else is willing to take on the work of bug fixes, integrating pull requests, etc,
please let me know. 🙌

I hope we can maintain the project together, and make this project better! 💪

## Demo & Examples

Live demo: [patw0929.github.io/react-intl-tel-input](https://patw0929.github.io/react-intl-tel-input/)

To build the examples locally, run:

```bash
yarn
yarn website:start
```

Then open [`localhost:3000`](http://localhost:3000) in a browser.


## Installation

```bash
yarn add react-intl-tel-input
```


### TypeScript

`react-intl-tel-input-itk` ships with official type declarations out of the box.


## Usage

```javascript
import IntlTelInput from 'react-intl-tel-input-itk';
import 'react-intl-tel-input-itk/dist/main.css';

<IntlTelInput
  containerClassName="intl-tel-input"
  inputClassName="form-control"
/>
```

### Properties

Please see the [Demo Page](https://patw0929.github.io/react-intl-tel-input/)


## Development (`src` and the build process)

To build, watch and serve the examples (which will also watch the component source), run `yarn website:start`.

You can prepare a distribution build using `yarn build`.

## Contributing

Any kind of contribution including proposals, doc improvements, enhancements, bug fixes are always welcome. 

To contribute to `react-intl-tel-input`, clone this repo locally and commit your code on a separate branch. Please write tests for your code, and run the linter before opening a pull-request:

```bash
yarn test    # if you are enhancing the JavaScript modules
yarn test:ts # if you are enhancing the TypeScript type declarations
yarn lint
```

Also, please let us know if you encounter any issue by filing an [issue](https://github.com/patw0929/react-intl-tel-input/issues).

## Inspired by

[International Telephone Input](https://github.com/jackocnr/intl-tel-input) - [@jackocnr](https://github.com/jackocnr)


## License

MIT

Copyright (c) 2015-2019 patw.
